Bug Hunting Session
Bug 39203 - SPELL: frequently fails to flag misspelled word
Summary: SPELL: frequently fails to flag misspelled word
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
3.4.0 release
Hardware: x86-64 (AMD64) All
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2011-07-13 12:55 UTC by S.
Modified: 2018-06-04 02:34 UTC (History)
13 users (show)

See Also:
Crash report or crash signature:


Attachments
Attachment shows misspelt "atificially" & no red wavy underline & no 'Text Language' specified in drop-down box (104.61 KB, image/png)
2016-04-04 00:47 UTC, Bruce Gilbert
Details

Note You need to log in before you can comment on or make changes to this bug.
Description S. 2011-07-13 12:55:05 UTC
Hi everyone,

With LibO 3.4.0 and 3.4.1, spellcheck no longer works right. It frequently fails to flag misspelled words. It appears to be somewhat random, but I have noticed the issue several times when I type a word correctly, and then later go back to edit the word, leaving it misspelled- it's like it doesn't re-check it or something. Sorry I can't give better details, it's too random. But it's a major showstopper bug for 3.4.2.

Thanks for looking into this!
Comment 1 gleppert 2011-07-23 11:57:42 UTC
Hi S., thanks for posting this bug. What localization or spell checking dictionaries are you using? Could you also give more information on you computer system: OS, OS version, LibreOffice version, ... Thanks.
Comment 2 S. 2011-07-23 20:45:58 UTC
Hi there, thanks for looking into this.

I have most observed this bug on a personal homemade dictionary that I've been using with success on OOo/LibO for years. Mainly it's a word list, with virtually no rules. I have also observed the bug with the Spanish (es_ES) dictionary.

I'm on openSUSE 11.4, LibreOffice 3.4.1 OOO340m1 (Build:103).

Thanks!
Comment 3 Urmas 2011-08-11 02:30:53 UTC
Also it happens with stock russian dictionary, too.
Comment 4 S. 2011-08-11 06:24:24 UTC
Confirming the same bug on 3.4.2 as well.
Comment 5 [REDACTED] 2011-08-12 02:46:56 UTC
Confirmed in LO 3.3.3 in Win XP using English UK localization with the default dictionaries enabled. Also, this realy is a random occuring bug.
Comment 6 S. 2011-08-12 07:10:53 UTC
(In reply to comment #5)
> Confirmed in LO 3.3.3 in Win XP using English UK localization with the default
> dictionaries enabled. Also, this realy is a random occuring bug.

Hmmm, in this case I need to change the title. I could never use LibO 3.3.x releases because of a different showstopper bug. I guess we can say this is a regression compared to OpenOffice, which I can say definitely never had this bug.

As Astrix says, this bug is somewhat random. But I can usually reproduce it within minutes of typing a document. So it's a major issue.

Can we get this bug assigned to somebody please?
Comment 7 Rainer Bielefeld Retired 2011-08-13 23:08:22 UTC
Can someone attach a sample document where he observed the problem? or at least contribute a word where he observed the problem?
Comment 8 S. 2011-08-15 09:41:53 UTC
(In reply to comment #7)
> Can someone attach a sample document where he observed the problem? or at least
> contribute a word where he observed the problem?

It is somewhat random. I opened a 2 page ODT document (all text, simple formatting) with "Spanish (Spain)" enabled for the document, most words correctly spelled. I just started randomly clicking in the middle of correctly spelled words and adding a random letter. Many mistakes were caught, but it failed on the following changes:

- "particularmente" -> "particulardmente"
- "parejas" -> "parejaas"
- "debemos" -> "debxemos"

Typing and changing these words in a new document does not repeat the bug. It is totally random.

I can offer these cases using a common language. However, I can say that my custom technical dictionary (which is basically just a custom word list, no rules) results in a MUCH higher occurrence of this bug, rendering spell checking almost useless. Again, it is highly random with my custom dictionary too, which makes it really hard to debug. But I think this proves that something is fundamentally wrong with spellchecking for LibreOffice. Could the developers please just copy and paste in the working OpenOffice 3.2 code and give us the old functionality back?

Thanks!
Comment 9 Rainer Bielefeld Retired 2011-08-18 22:51:39 UTC
@S.
What does "flag" mean? Not shown as misspelled during manual check after <f7>? Not underlined when Auto-Spellcheck? Both?
Comment 10 S. 2011-08-19 06:40:12 UTC
(In reply to comment #9)
> @S.
> What does "flag" mean? Not shown as misspelled during manual check after <f7>?
> Not underlined when Auto-Spellcheck? Both?

Both, I think. I mainly use the red-underlined auto spellcheck. Once I think I tried the manual check too to see if it would catch the words that I already knew were misspelled, and it didn't catch them either.
Comment 11 S. 2011-09-13 20:28:43 UTC
Bug still present on 3.4.2.

Umm, does anybody care that a major feature of all major office suites for the past 20 years is seriously broken?
Comment 12 Rainer Bielefeld Retired 2011-09-14 00:00:45 UTC
CONFIRMED due to various comments

@András:
Any Idea how we can proceed this?
Comment 13 Björn Michaelsen 2011-12-23 13:26:47 UTC Comment hidden (obsolete)
Comment 14 S. 2012-02-16 06:03:47 UTC
Still an issue with LibO 3.5 on Linux.

Type a correct word, then type some other stuff, then go back to the correct word and type some random letters in the middle of it, then click on another word, and it usually doesn't flag the mistake.

How can such an important feature as spellchecking be ignored for so long?
Comment 15 Michael Meeks 2012-03-06 05:37:26 UTC
> How can such an important feature as spellchecking be ignored for so long?

This is a matter of developer effort to put into unwinding what changed, and writing unit tests to ensure it never breaks again. Developers can be gently encouraged to volunteer or paid to contribute - either works for me.

Is this related to red-lining ? (are you using that). Anyhow, thanks for reproducing with the latest builds.
Comment 16 Michael Meeks 2012-03-06 05:42:46 UTC
To debug this (if it can be reproduced), I'd dig around in:

lingucomponent/source/spellcheck/spell/sspellimp.cxx

and instrument what is going on at the UNO level; ie. what do we get if we print out all the strings passed to:

sal_Bool SAL_CALL SpellChecker::isValid( const OUString& rWord, const Locale& rLocale, const PropertyValues& rProperties )

ie. is the problem in writer itself (I suspect so), passing incorrect / partial strings - or is it in the spell-checking code that says the word is correctly spelled in error :-)

Incidentally S. if you want to help out, getting a build of your own on openSUSE is not impossibly difficult, and instrumenting that method (or just installing the debuginfo and putting a breakpoint in that method to see what parameters it is passed in this case) might provide some valuable diagnostics, if you're interested in helping out that is.
Comment 17 Szabolcs Dézsi 2012-03-06 10:08:13 UTC
Hi!

Passing the words to isValid(...) with language information happens in
sw/source/core/txtnode/txtedt.cxx:1184

I used a .odt file I found on the web. It had multiple language (english, spanish (mexico)).

English spell checking works perfectly. Spanish (Mexico) spell checking is not working (don't have dictionary)

bSpell = xSpell.is() ? xSpell->hasLanguage( eActLang ) : sal_False;

bSpell is false here with mexican, therefore it's not passed to isValid(...).

This is the expected behavior.

So: I can't reproduce the bug. Not with english, not with downloaded documents, not with newly created documents.
If someone can upload a document, or a custom dictionary (bug happens with it more often, they say :)), that would be greatly appreciated. 

Szabolcs
Comment 18 Colin 2012-09-13 06:44:46 UTC
I am using Version 3.6.0.4 (Build ID: 932b512) and have not had the spell checker (English UK) work at all it keeps saying that there are no spelling mistakes. I am using Windows 7
Comment 19 Michael Meeks 2012-09-13 09:11:49 UTC
Hi Colin - you suffer a windows specific component registration issue; you need to upgrade to 3.6.1 (always a good idea) to get spell-checking working again :-)
Comment 20 scorpidragon 2012-10-14 02:36:53 UTC
I concur with this issue, as spell checker in latest version never marks spelling errors in Calc!
Comment 21 Gerry 2012-10-14 12:43:37 UTC
@scorpidragon: Thanks for your comment to this bug. Could you please add information what version, operating system and what language you are using? Thanks.

I just tried to reproduce the issue and I cannot reproduce it with English-UK locale. With German local though, I realize that it sometimes needs to hit the return button to get the wrongly written word red-underlined.
System: LibreOffice 3.5.4.2 Build ID: 350m1(Build:2) Ubuntu PPA, Ubuntu 11.10.


I changed the version of this bug entry from 3.6.2.2 release back to 3.4.0, because it was the first version where this problem occurred.
Comment 22 scorpidragon 2012-10-14 20:00:13 UTC
(In reply to comment #21)
> @scorpidragon: Thanks for your comment to this bug. Could you please add
> information what version, operating system and what language you are using?
> Thanks.
> 
> I just tried to reproduce the issue and I cannot reproduce it with
> English-UK locale. With German local though, I realize that it sometimes
> needs to hit the return button to get the wrongly written word
> red-underlined.
> System: LibreOffice 3.5.4.2 Build ID: 350m1(Build:2) Ubuntu PPA, Ubuntu
> 11.10.
> 
> 
> I changed the version of this bug entry from 3.6.2.2 release back to 3.4.0,
> because it was the first version where this problem occurred.

OS: Windows 7 32bit edition.
Language: English New Zealand local.
Comment 23 ragav 2013-06-20 06:22:05 UTC Comment hidden (no-value)
Comment 24 Kruno 2016-03-22 08:35:41 UTC
Might be relevant or connected:

LO doesn't mark misspelled word if very last character in document is one belonging to the misspelled word. Word doesn't get underlined even if period follows but there is no white space after period. So if there is only one sentence in document:

Ovo·je·tezt·i·tezt.¶

Then first "tezt" iz underlined, but second is note. And then if you just change font of that sentence, second "tezt" will get underlined.
Comment 25 Kruno 2016-03-26 11:13:20 UTC
And it's not so random!

LO is not refreshing something when you expect it to.

If you write correctly spelled sentence, then go back and misspell one word and if then you _do not_ go directly to the end of the sentence but click somewhere in the middle of the sentence and then go to the end of it -- by mouse click or End key -- LO will not underline misspelled word.

It's happening also if you misspell word and then hold right arrow key to get to the end of the sentence.

It will happen more frequently if you have space as a last character. If I start type

     I'm·testing·this·stuff·|

and then go back and misspell 'testing' to 'tešting' and if I now hit right arrow key and _do not_ release it until I reach end of the line, LO will underline. But if I hit right arrow key, release it, and hit it again till I reach the end of the line -- LO _will not_ underline. So if I go back:

     I'm·tes|ting·this·stuff·

Misspell it:

     I'm·teš|ting·this·stuff·

hit right arrow key few times...

     I'm·tešting·th|is·stuff·

and then hold right arrow key till the end of the line:

     I'm·tešting·this·stuff·|

and nothing is red...

It can happen in other occasion but this I managed to nail this to the specific instructions.

It's happening also if you use mouse and first click somewhere in the sentence and then click to the end of the line

It's just not refreshing something because if you just change font type, size, or click any button on formatting toolbar for that matter, LO will underline misspelled word.

On occasion it will underline even if you follow instructions but if you try few time you'll see the pattern...

This is present for quite some time but I never give it a thought until I saw this bug report...
Comment 26 Kruno 2016-03-26 11:20:14 UTC
Paragraph 

"It's happening also if you misspell word and then hold right arrow key to get to the end of the sentence."

is wrong. If you misspell and hit and holed right arrow key, it will underline. But if you hit if two-three times and then hold it till the end of the line, LO will not underline.

And again, it still can be "random" but it's reproducible.
Comment 27 darinjwerner 2016-04-01 00:50:46 UTC Comment hidden (no-value)
Comment 28 Bruce Gilbert 2016-04-04 00:47:39 UTC
Created attachment 124049 [details]
Attachment shows misspelt "atificially" & no red wavy underline & no 'Text Language' specified in drop-down box

Spellcheck does not work at all!
Comment 29 Joel Madero 2016-04-05 04:47:01 UTC
(In reply to Bruce Gilbert from comment #28)
> Created attachment 124049 [details]
> Attachment shows misspelt "atificially" & no red wavy underline & no 'Text
> Language' specified in drop-down box
> 
> Spellcheck does not work at all!

Well for starters, that is version 4.3...which has been completely out of date for some time and will receive no further updates.

Please test with 5.1.
Comment 30 Kruno 2016-04-12 12:53:55 UTC
(In reply to Kruno from comment #25)
> And it's not so random!

I could make LO not to underline in 5.0.5, can't do so in 5.1. Maybe fixed?

And if may notice, image in attachment shows not underlined word that's last one in document, if there is no white space after it -- LO will not detect that.
Comment 31 S. 2016-09-19 15:48:20 UTC
Now with version 5.2.1.2 (openSUSE Tumbleweed) it appears that it frequently fails to flag misspelled words that are followed by a punctuation mark.
Comment 32 QA Administrators 2018-06-04 02:34:03 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug